Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454877 - sdptool browse seg faults
Summary: sdptool browse seg faults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bluez-utils
Version: 4.6
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jiri Moskovcak
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 14:23 UTC by Suzanne Hillman
Modified: 2015-02-01 22:48 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The bluez-utils package contains Bluetooth daemons and utilities. One of these utilities, sdptool, provides the interface for performing SDP queries on Bluetooth devices. When executed on systems using the x86_64 architecture, sdptool would create a segmentation fault. Bluez-utils has been updated with a patch from upstream that allows sdptool to work correctly on x64_64-based systems.
Clone Of:
Environment:
Last Closed: 2009-02-04 12:15:15 UTC


Attachments (Terms of Use)
Proposed patch (deleted)
2008-07-17 11:00 UTC, Jiri Moskovcak
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0024 normal SHIPPED_LIVE bluez-utils bug fix update 2009-02-04 12:15:14 UTC

Description Suzanne Hillman 2008-07-10 14:23:50 UTC
Description of problem:
[testing@dhcp47-144 ~]$ sdptool browse 00:1A:6B:F9:31:F5
Browsing 00:1A:6B:F9:31:F5 ...
Service Name: OBEX Object Push
Service RecHandle: 0x10000
Service Class ID List:
  "OBEX Object Push" (0x1105)
Protocol Descriptor List:
Segmentation fault

Version-Release number of selected component (if applicable):
bluez-utils-2.10-2.4

How reproducible:
Always, I think

This is _not_ a regression.

Comment 1 Jiri Moskovcak 2008-07-17 11:00:47 UTC
Created attachment 312031 [details]
Proposed patch

This is patch from upstream cvs. I've tested it and it works ok.

Comment 4 Ruediger Landmann 2009-01-11 23:13:05 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The bluez-utils package contains Bluetooth daemons and utilities.

One of these utilities, sdptool, provides the interface for performing SDP queries on Bluetooth devices. When executed on systems using the x86_64 architecture, sdptool would create a segmentation fault. Bluez-utils has been updated with a patch from upstream that allows sdptool to work correctly on x64_64-based systems.

Comment 8 Miroslav Vadkerti 2009-01-21 10:03:57 UTC
By mistake I tested this bug on RHEL-4 x86_64 with bluez-utils-2.10-5.el4 yesterday. This bug doesn't appear anymore there.

Comment 10 errata-xmlrpc 2009-02-04 12:15:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0024.html


Note You need to log in before you can comment on or make changes to this bug.